import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/manufacturerlist/manufacturerlist_cache_event.dart';
import 'package:pharmacy_mobile/blocs/caches/manufacturerlist/manufacturerlist_cache_state.dart';

class ManufacturerListBloc extends Bloc<ManufacturerListCacheEvent, ManufacturerListCacheState> {
  ManufacturerListBloc() : super(ManufacturerListCacheState([])) {
    on<ManufacturerListCacheSet>((event, emit) {
      emit(ManufacturerListCacheState(event.value));
    });
    on<ManufacturerListCacheGet>((event, emit) {
      emit(state);
    });
  }
}
